Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Time_Value.inl File Reference

`#include "ace/OS_NS_sys_time.h"`

Include dependency graph for Time_Value.inl:

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE ACE_Time_Value | operator * (double d, const ACE_Time_Value &tv)
ACE_INLINE ACE_Time_Value | operator * (const ACE_Time_Value &tv, double d)
ACE_INLINE int | operator> (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator>= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator< (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator<= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator== (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE int | operator!= (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator+ (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_INLINE ACE_Time_Value | operator- (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)

## Function Documentation

ACE_INLINE ACE_Time_Value operator * | ( | const ACE_Time_Value & | tv,
|  | double | d
| ) |

ACE_INLINE ACE_Time_Value operator * | ( | double | d,
|  | const ACE_Time_Value & | tv
| ) |

ACE_INLINE int operator!= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator+ | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE ACE_Time_Value operator- | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator< | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator<= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator== | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator> | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_INLINE int operator>= | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |